Bug 853537 - [abrt] pacemaker-1.1.8-1.el7: setup_cib: Process /usr/libexec/pacemaker/stonithd was killed by signal 11 (SIGSEGV)
[abrt] pacemaker-1.1.8-1.el7: setup_cib: Process /usr/libexec/pacemaker/stoni...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andrew Beekhof
Cluster QE
abrt_hash:648809109d607db29465bb5f03d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 15:43 EDT by Nate Straz
Modified: 2014-06-16 02:31 EDT (History)
0 users

See Also:
Fixed In Version: pacemaker-1.1.8-3.el7
Doc Type: Bug Fix
Doc Text:
Cause: The software assumed a variable would never be NULL and dereferenced it. Consequence: The program crashed. Fix: Check for NULL first. Result: Program no longer crashes
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 02:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (332 bytes, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: environ (386 bytes, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: backtrace (4.47 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: cgroup (164 bytes, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: maps (15.39 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: dso_list (2.84 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: build_ids (1.36 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: var_log_messages (14.05 KB, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details
File: open_fds (228 bytes, text/plain)
2012-08-31 15:43 EDT, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2012-08-31 15:43:02 EDT
Description of problem:
Started pacemaker on a node.

Version-Release number of selected component:
pacemaker-1.1.8-1.el7

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        /usr/libexec/pacemaker/stonithd
crash_function: setup_cib
kernel:         3.5.0-0.24.el7.x86_64

truncated backtrace:
:Thread no. 1 (1 frames)
: #1 setup_cib at main.c
Comment 1 Nate Straz 2012-08-31 15:43:04 EDT
Created attachment 608637 [details]
File: core_backtrace
Comment 2 Nate Straz 2012-08-31 15:43:06 EDT
Created attachment 608638 [details]
File: environ
Comment 3 Nate Straz 2012-08-31 15:43:07 EDT
Created attachment 608639 [details]
File: backtrace
Comment 4 Nate Straz 2012-08-31 15:43:09 EDT
Created attachment 608640 [details]
File: limits
Comment 5 Nate Straz 2012-08-31 15:43:10 EDT
Created attachment 608641 [details]
File: cgroup
Comment 6 Nate Straz 2012-08-31 15:43:12 EDT
Created attachment 608642 [details]
File: maps
Comment 7 Nate Straz 2012-08-31 15:43:14 EDT
Created attachment 608643 [details]
File: dso_list
Comment 8 Nate Straz 2012-08-31 15:43:15 EDT
Created attachment 608644 [details]
File: build_ids
Comment 9 Nate Straz 2012-08-31 15:43:17 EDT
Created attachment 608645 [details]
File: var_log_messages
Comment 10 Nate Straz 2012-08-31 15:43:18 EDT
Created attachment 608646 [details]
File: open_fds
Comment 11 Andrew Beekhof 2012-09-03 23:22:35 EDT
A related patch has been committed upstream:
  https://github.com/beekhof/pacemaker/commit/cf8adc5

with subject:

   High: Fencing: Bug rhbz#853537 - Prevent use-of-NULL when the cib libraries are not available

Further details (if any):

Note You need to log in before you can comment on or make changes to this bug.